module.exports = {
    outputDir: 'dist',
    //生产环境是否生成 sourceMap 文件
    productionSourceMap: false,
    // cors 相关 https://jakearchibald.com/2017/es-modules-in-browsers/#always-cors
    // corsUseCredentials: false,
    // webpack 配置，键值对象时会合并配置，为方法时会改写配置
    // https://cli.vuejs.org/guide/webpack.html#simple-configuration
    configureWebpack: (config) => {
        if (process.env.NODE_ENV === 'production') {
            // 为生产环境修改配置...
        } else {
            // 为开发环境修改配置...
        }
        return {
            externals:{
                'vue': 'Vue',
                'vue-router': 'VueRouter',
                'i18n': 'i18n',
                "element-ui": 'ELEMENT'
            }
        }
    },
    chainWebpack: (config) => {
        // 因为是多页面，所以取消 chunks，每个页面只对应一个单独的 JS / CSS
        // config.optimization.splitChunks({
        //     cacheGroups: {}
        // });
    }

}